### Constructor

# Gtk PopoverMenunew_from_model_full

#### Declaration [src]

    GtkWidget*
    gtk_popover_menu_new_from_model_full (
      GMenuModel* model,
      GtkPopoverMenuFlags flags
    )

#### Description [src]

Creates a `GtkPopoverMenu` and populates it according to `model`.

The created buttons are connected to actions found in the action groups that are accessible from the parent widget. This includes the `GtkApplicationWindow` to which the popover belongs. Actions can also be added using `gtk_widget_insert_action_group()` on the parent widget or on any of its parent widgets.

#### Parameters

`model`

  Type: `GMenuModel`

  A `GMenuModel`

  The data is owned by the caller of the function.

`flags`

  Type: `GtkPopoverMenuFlags`

  Flags that affect how the menu is created.

#### Return value

Type: `GtkWidget`

The new `GtkPopoverMenu`

The data is owned by the called function.